<script lang="ts">
  import LabeledContainer from '@components/LabeledContainer.svelte';
  import { faChevronDown, faChevronRight } from '@fortawesome/free-solid-svg-icons';
  import Fa from 'svelte-fa';
  import Markdown from '@components/Markdown/Markdown.svelte';

  export let label;
  export let color;
  export let textColor;
  export let bgColor;
  export let collapsed: boolean;
</script>

<LabeledContainer collapsable labelTextColor={textColor} labelBgColor={bgColor} borderColor={color} bind:collapsed>
  <button
    slot="label"
    let:collapsable
    class="clickable"
    on:click={() => (collapsed = !collapsed)}
    style="bg-color: {color}"
  >
    <!--  <div slot="label" let:collapsable>-->
    {#if collapsable}
      <Fa class="d-inline-block" icon={collapsed ? faChevronRight : faChevronDown} />
    {/if}
    <div class="d-inline-block">
      <Markdown source={label} />
    </div>
  </button>
  <!--  </div>-->
  <div class="p-2">
    <slot />
  </div>
</LabeledContainer>
